Subject: Bug#4473: Bug in /etc/magic

From: Pawel Wiecek <[email-masked]>
Date: Wed, 11 Sep 1996 10:59:00 +0200

Package: file
Version: 3.19-4

There are bad magic numbers for Microsoft's applications in /etc/magic.
The strings that are used works OK for English version of MS Word 6 and
MS Excel 5, but when I run eg.
$ file polish.doc
where polish.doc is created using Polish nationalized version of MS Word I'm
told just that it's data file.
The wrong behaviour is caused by nationalized strings inside Word documents
and Excel worksheets.
The bug appears at least in versions 0.93R6 and 1.1.
I'd suggest changing the magic numbers, as made in the patch below.

*** magic.orig	Tue Sep 10 23:37:31 1996
--- magic.correct	Tue Sep 10 23:38:38 1996
***************
*** 1800,1810 ****
  #
  
  # Popular applications
! 2080	string	Microsoft\ Word\ 6.0\ Document	%s
  #
  0	belong	0x31be0000	Microsoft Word Document
  #
! 2080	string	Microsoft\ Excel\ 5.0\ Worksheet	%s
  #
  0	belong	0x00001a00	Lotus 1-2-3
  >4	belong	0x00100400	wk3 document
--- 1800,1812 ----
  #
  
  # Popular applications
! 2112	string	MSWordDoc	Microsoft Word 6.0 Document
  #
  0	belong	0x31be0000	Microsoft Word Document
  #
! # I wonder why does it appear at two offsets...
! 2114	string	Biff5		Microsoft Excel 5.0 Worksheet
! 2113	string	Biff5		Microsoft Excel 5.0 Worksheet
  #
  0	belong	0x00001a00	Lotus 1-2-3
  >4	belong	0x00100400	wk3 document

-- 
 (___)  | Pawel Wiecek --------------------------------- |
< o o > | E-mail: [email-masked]                      |
 \ ^ /  | WWW:    http://www.ists.pwr.wroc.pl/~coven/    |
  (")   |  * * *  To err is human, to moo bovine  * * *  |